<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/dashboard']"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-col  items-center mx-auto sm:justify-center min-w-0 mt-7">
        <div class="w-full text-center sm:w-auto mx-auto sm:p-12 shadow bg-card box-width"
            style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;">
            <!-- Main -->
            <div class="w-full max-w-100 mx-auto sm:mx-0">

                <!-- CONTENT GOES HERE -->
                <form action="">

                    <div class="relative flex flex-col flex-auto pb-3 bg-card rounded-1xl overflow-hidden">
                        <div class="flex flex-row flex-wrap mx-6">
                            <div class="flex flex-col ">
                                <div class="px-16">
                                    <img src="assets/images/bgd/Top Up Rejected Icon.svg">
                                </div>


                                <div class="font-Medium-24 leading-7 mt-1">
                                    <div>Top Up Rejected
                                    </div>
                                </div>
                                <div class="font-Regular-16 font-7B7B7B leading-5 mt-5">
                                    <div>The bank account holder’s name does not match with the registered Bursa Gold
                                        Dinar account. Top up amount will be refunded to the originating account.</div>
                                </div>
                                <div class="font-Regular-16 font-0038ff leading-5 mt-5">
                                    <a style="cursor: pointer;" (click)="viewDetails()">View Details</a>
                                </div>
                                <div class="relative flex flex-col flex-auto items-center mb-3 mt-3">
                                    <button class="fuse-mat-button-large w-full mt-7 button-r5" mat-flat-button
                                        [routerLink]="'/identity-verification'" [color]="'primary'">
                                        Try Again
                                    </button>
                                    <button class="fuse-mat-button-large w-full button-r5-cancel mt-3"
                                        style="border:1px solid !important;" mat-flat-button
                                        [routerLink]="['/cash-wallet']">
                                        <span class="font-Semibold-14;">Back to Cash Wallet</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

            </div>

        </div>
    </div>
</div>